"use strict";

class Scene1Controller extends BaseSceneController {
    _tim;

    initialize() {   
        var tim = this.spriteManager.get("tim");
        tim.scale.setScalar(10);
        this.scene.add(tim);
        this._tim = tim;

        // set pivot to the middle of tim's head.
        this._tim.children[0].position.set(0, -0.6, 0);

        this.showText("I had a little t-rex");
        console.log(this.getVisibleWidth());

    }

    update(time) {
        this._tim.scale.setScalar(15 - time / 900);
    }
}